-- Bindings
BINDING_HEADER_RIBHEADER = "RaidIconBar";
BINDING_NAME_RIBSNAP = "MouseSnap";

def_posx = 0;
def_posy = 0;

-- functions
function RaidIconBar_OnLoad()

	this:RegisterEvent("PLAYER_ENTERING_WORLD");
	this:RegisterEvent("PARTY_MEMBERS_CHANGED");

	SLASH_RAIDICONBAR1 = "/raidiconbar";
  	SLASH_RAIDICONBAR2 = "/rib";
  	SlashCmdList["RAIDICONBAR"] = function(msg)
		RaidIconBar_SlashCommandHandler(msg);
	end
end

function RaidIconBar_SlashCommandHandler(msg)
	if (msg == "reload") then
	 	ReloadUI();
	end
end

function RaidIconBar_OnClick()
   	id = this:GetID();
   	SetRaidTarget("target",id);
end

function RaidIconBar_OnEvent()
	local frame = getglobal("RaidIconBarFrame");
	
   	if (frame) then
   		if( GetNumPartyMembers() == 0 ) then
      		frame:Hide();
   		else
   			if ( UnitIsPartyLeader("player") ) then
      			frame:Show();
      		else
      			frame:Hide();
      		end
   		end
   	end
   	
	if (event == "PARTY_MEMBERS_CHANGED") then
	end
end

function RaidIconBar_SnapDown()
	local frame = getglobal("RaidIconBarFrame");
	
	def_posx = frame:GetLeft();
	def_posy = frame:GetBottom();
	
	x, y = GetCursorPosition();
	
	_, _, w, h = UIParent:GetRect();
	
	dh = 768;
	dw = w/h*dh;
	
	x = x / dw * w;	
	y = y / dh * h;
	
	local frame = getglobal("RaidIconBarFrame");
	frame:ClearAllPoints();
	frame:SetPoint("CENTER", UIParent, "BOTTOMLEFT", x, y);
end

function RaidIconBar_SnapUp()
	local frame = getglobal("RaidIconBarFrame");
	frame:ClearAllPoints();
	frame:SetPoint("BOTTOMLEFT", UIParent, "BOTTOMLEFT", def_posx, def_posy);
end


function out(text)
 UIErrorsFrame:AddMessage(text, 1.0, 1.0, 0, 1, 10); 
end